std::ranges::input_range(3)

NAME
std::ranges::input_range - std::ranges::input_range

Synopsis
   Defined in header <ranges>
   template< class T >
   concept input_range = (since C++20)
   ranges::range<T> && std::input_iterator<ranges::iterator_t<T>>;
   The input_range concept is a refinement of range for which ranges::begin returns a
   model of input_iterator.